package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Picasso
 */
public enum ReferenceType {
    WIFE("Esposa") {
        @Override
        public String toString() {
            return "WIFE";
        }

    }, HUSBAND("Esposo") {
        @Override
        public String toString() {
            return "HUSBAND";
        }

    },
    FATHER("Padre") {
        @Override
        public String toString() {
            return "FATHER";
        }

    }, MOTHER("Madre") {
        @Override
        public String toString() {
            return "MOTHER";
        }

    }, BROTHER("Hermano/a") {
        @Override
        public String toString() {
            return "BROTHER";
        }

    }, AUNT("Tio/a") {
        @Override
        public String toString() {
            return "AUNT";
        }

    }, GRANPARENT("Abuelo/a") {
        @Override
        public String toString() {
            return "GRANPARENT";
        }

    }, COUSIN("Primo/a") {
        @Override
        public String toString() {
            return "COUSIN";
        }

    }, NEPHEW("Sobrino/a") {
        @Override
        public String toString() {
            return "NEPHEW";
        }

    }, FRIEND("Amigo/a") {
        @Override
        public String toString() {
            return "FRIEND";
        }

    }, COWORKER("Compañero/a de trabajo") {
        @Override
        public String toString() {
            return "COWORKER";
        }

    }, OTHER("Otro") {
        @Override
        public String toString() {
            return "OTHER";
        }

    };

    private final String reference;

    private ReferenceType(String reference) {
        this.reference = reference;
    }

    public String getReference() {
        return reference;
    }
}
